installare programmi da file tar.gz

48 risposte [Ultimo messaggio]
Ritratto di Il_Cjargnel
Il_Cjargnel
(Guru)
Offline
Guru
Iscritto: 04/08/2005
Messaggi: 1886

ho dato un occhiata al sito di questo gestionale e devo dire che sembra bello (ma non me ne intendo quindi la mia opinione è quella che è) secondo me se ci fosse la versione complata con le dipendenze gia risolte su packman, non sarebbe male x tutta la comunità!!!

se non lo avete fatto voi, magari mando un mail ad anubis se vuol fare il lvoro (se è possible)...che ne dite??

OpenSuse 11.0+ OpenSuse 11.2

Ritratto di caunaudio
caunaudio
(Monster)
Offline
Monster
Iscritto: 23/08/2009
Messaggi: 433

essi è molto bello... per poi uno che ne deve fare un uso spropositato per lavoro..( vengo da danea easyfat) kakkio magari lo mettesse sui repo....

FIERO DI ESSERCI

Leap 42.3 KDE 5.8.7 Intel I5 2500K-Kernel 4.4.104-39 - default x64-Geforce GT520

Ritratto di Il_Cjargnel
Il_Cjargnel
(Guru)
Offline
Guru
Iscritto: 04/08/2005
Messaggi: 1886

ok io lo dico, poi vedrà lui se fare o no e quando ha tempo! :-P

OpenSuse 11.0+ OpenSuse 11.2

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Quote:

deckard ha scritto:
Ps2: non preoccuparti di chiedere, a memoria tutti, tranne Orion e pochi altri, abbiamo avuto bisogno. Laughing

Dai, non esagerare... anche il mio primo post e` stato per una richiesta di aiuto...
http://www.suseitalia.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=7395&forum=2

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di caunaudio
caunaudio
(Monster)
Offline
Monster
Iscritto: 23/08/2009
Messaggi: 433

Quote:

Dai, non esagerare... anche il mio primo post e` stato per una richiesta di aiuto...
http://www.suseitalia.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=7395&forum=2

Grande Wink

FIERO DI ESSERCI

Leap 42.3 KDE 5.8.7 Intel I5 2500K-Kernel 4.4.104-39 - default x64-Geforce GT520

Ritratto di caunaudio
caunaudio
(Monster)
Offline
Monster
Iscritto: 23/08/2009
Messaggi: 433

Quote:

orion ha scritto:
Avendo installato un rpm di fedora, e` normale che non ti abbia tirato dietro le dipendenze. Intanto potresti provare ad installare i pacchetti indicati (ed altre eventuali dipendenze che essi richiedono) e poi provi a lanciare di nuovo il programma.

Se non funziona, lo disinstalli da yast e continui con la versione tar.gz.

ok parte...ma adesso vuoldire ke posso utilizzarlo o lo devo ancora installare?

FIERO DI ESSERCI

Leap 42.3 KDE 5.8.7 Intel I5 2500K-Kernel 4.4.104-39 - default x64-Geforce GT520

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Quote:

caunaudio ha scritto:
Quote:
orion ha scritto:
Prova a guardare questa guida: http://www.suseitalia.org/modules/wfsection/article.php?articleid=134

E` per openSUSE 10.2, ma il procedimento e` lo stesso. Quello che cambia e` la versione dei programmi da installare.

Una cosa: leggi anche i commenti, specie il primo.
Inoltre, quando viene indicato di dare dei comandi, nella guida essi iniziano con $ o #. Questi due caratteri non sono da digitare, in quanto rappresentano il prompt utente e di root, rispettivamente.

Ecco è questa la guida che avevo gia visto ma certi gcc (gcc-g++ e libgcc41) io su yast non li ho.....gli altri si ma ho aspettato a fare qualcosa prima che sbaglio e mi tocca fiondare il desktop dal balcone.. Laughing

poi come gia anticipato...cosa vuoldire eseguire un comando....

Se avessi letto anche il primo commento, avresti visto che gcc-g++ e` un errore di battitura, mentre il pacchetto corretto e` gcc-c++.

Per quanto riguarda libgcc41, probabilmente avrai libgcc43 o libgcc44, in base al compilatore gcc presente nella 11.1.

Comunque, installare questi rpm non ti fa saltare il pc, sta tranquillo Wink

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di caunaudio
caunaudio
(Monster)
Offline
Monster
Iscritto: 23/08/2009
Messaggi: 433

Quote:

Se avessi letto anche il primo commento, avresti visto che gcc-g++ e` un errore di battitura, mentre il pacchetto corretto e` gcc-c++.

Per quanto riguarda libgcc41, probabilmente avrai libgcc43 o libgcc44, in base al compilatore gcc presente nella 11.1.

Comunque, installare questi rpm non ti fa saltare il pc, sta tranquillo Wink

kakkio vero ci sono i commenti sotto che nn ho letto...grazie :-o

FIERO DI ESSERCI

Leap 42.3 KDE 5.8.7 Intel I5 2500K-Kernel 4.4.104-39 - default x64-Geforce GT520

Ritratto di deckard
deckard (non verificato)
()

Quote:

caunaudio ha scritto:
il pacchetto rpm è piu facile da installare?

Certamente, posto che quello per fedora vada bene par Suse (spesso, ma non sempre).

Per installarlo puoi:

- cliccargli sopra, ma se mancano dipendenze l'operazione non va a buon fine

- usare la shell:

con cd ti sposti dove hai messo l'rpm.
Se per es nella tua cartella utente e vuoi andare in Desktop, allora:

cd ./Desktop

con zypper lo installi:

zypper in ./NOME_PACCHETTO.rpm

in questo modo dovresti esser a posto anche con le dipendenze
Bye

Ritratto di deckard
deckard (non verificato)
()

Dimenticavo, prima devi diventare utente root:
su + [invio]